# gcpubsub_info – List Topics/Subscriptions and Messages from Google PubSub

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- List Topics/Subscriptions from Google PubSub. Use the gcpubsub module for topic/subscription management. See https://cloud.google.com/pubsub/docs for an overview.

- This module was called `gcpubsub_facts` before Ansible 2.9. The usage did not change.

Aliases: gcpubsub_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- google-auth >= 0.5.0

- google-cloud-pubsub >= 0.22.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
state - |  | list is the only valid option.
topic - |  | GCP pubsub topic name. Only the name, not the full path, is required.
view - / required |  | Choices are 'topics' or 'subscriptions'

## Notes

Note

- list state enables user to list topics or subscriptions in the project. See examples for details.

## Examples

    ## List all Topics in a project
    - gcpubsub_info:
        view: topics
        state: list

    ## List all Subscriptions in a project
    - gcpubsub_info:
        view: subscriptions
        state: list

    ## List all Subscriptions for a Topic in a project
    - gcpubsub_info:
        view: subscriptions
        topic: my-topic
        state: list

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
subscriptions list | When view is set to subscriptions. | List of subscriptions. Sample: ['mysubscription', 'mysubscription2']
topic string | Always | Name of topic. Used to filter subscriptions. Sample: mytopic
topics list | When view is set to topics. | List of topics. Sample: ['mytopic', 'mytopic2']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tom Melendez (@supertom) <tom@supertom.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.